ReferenceAPIsOry Hydra APIoAuth2
Get OAuth 2.0 Session Logout Request
Use this endpoint to fetch an Ory OAuth 2.0 logout request.
GET /admin/oauth2/auth/requests/logout
Use this endpoint to fetch an Ory OAuth 2.0 logout request.
Operation ID: getOAuth2LogoutRequest Tag: oAuth2
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
logout_challenge | string | yes |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | oAuth2LogoutRequest | application/json, object |
| 410 | oAuth2RedirectTo | application/json, object |
| default | errorOAuth2 | application/json, object |
Generated from ../athena/openapi.json at build time.
Reject OAuth 2.0 Login Request
When an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider
Accept OAuth 2.0 Session Logout Request
When a user or an application requests Ory OAuth 2.0 to remove the session state of a subject, this endpoint is used to confirm that logout request.